Bug 671574 - [RFE] Add support for Remote Controller keymaps
Summary: [RFE] Add support for Remote Controller keymaps
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev
Version: 14
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-21 21:48 UTC by Mauro Carvalho Chehab
Modified: 2013-07-04 22:57 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-06-26 06:10:29 UTC


Attachments (Terms of Use)
Add support for Remote Controllers and adds a mapping that works for all currently defined remote controllers (50.36 KB, patch)
2011-01-21 21:48 UTC, Mauro Carvalho Chehab
no flags Details | Diff
Script used to generate the evdev keymap (23.49 KB, application/x-perl)
2011-01-21 22:15 UTC, Mauro Carvalho Chehab
no flags Details
Patch against xf86-input-evdev-2.5.0.tar.bz2 (47.75 KB, patch)
2011-01-26 17:08 UTC, Mauro Carvalho Chehab
no flags Details | Diff

Description Mauro Carvalho Chehab 2011-01-21 21:48:47 UTC
Created attachment 474699 [details]
Add support for Remote Controllers and adds a mapping that works for all currently defined remote controllers

Description of problem:

Currently, X discards all keycodes upper than 247. As most Remote Controller keycodes fit on this category, xorg-x11-drv-evdev silently discards those codes.

Version-Release number of selected component (if applicable):

This applies to all versions of X11/Xorg.

I'm working on some patches that will allow receiving those events on X applications.

Comment 1 Mauro Carvalho Chehab 2011-01-21 22:15:34 UTC
Created attachment 474703 [details]
Script used to generate the evdev keymap

This is the script I used to generate the key translations used on the previous patch. It has some code that will also help to create a xkb keymap for the device, but that part is still incomplete.

Comment 2 Mauro Carvalho Chehab 2011-01-26 17:08:27 UTC
Created attachment 475445 [details]
Patch against xf86-input-evdev-2.5.0.tar.bz2

It probably helps to analize the patch against the upstream evdev. As the patch
were written for Fedora 14, it applies to upstream version 2.5.0. Some small changes are needed for it to work with version 2.6.0.

Comment 3 Peter Hutterer 2012-06-26 06:10:29 UTC
This bug was filed against Fedora 14 which is now EOL. Please re-open this bug if you still experience this issue with one of the currently suppported versions of Fedora. Don't forget to update the version field if you do so.


Note You need to log in before you can comment on or make changes to this bug.